package com.ruoyi.postCheck.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.postCheck.mapper.PostListInfoMapper;
import com.ruoyi.postCheck.domain.PostListInfo;
import com.ruoyi.postCheck.service.IPostListInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 岗检责任制清单明细Service业务层处理
 *
 * @author csg
 * @date 2023-12-20
 */
@Service
public class PostListInfoServiceImpl extends ServiceImpl<PostListInfoMapper, PostListInfo> implements IPostListInfoService
{
    @Autowired
    private PostListInfoMapper postListInfoMapper;

    /**
     * 查询岗检责任制清单明细
     *
     * @param id 岗检责任制清单明细主键
     * @return 岗检责任制清单明细
     */
    @Override
    public PostListInfo selectPostListInfoById(Long id)
    {
        return postListInfoMapper.selectPostListInfoById(id);
    }

    /**
     * 查询岗检责任制清单明细列表
     *
     * @param postListInfo 岗检责任制清单明细
     * @return 岗检责任制清单明细
     */
    @Override
    public List<PostListInfo> selectPostListInfoList(PostListInfo postListInfo)
    {
        return postListInfoMapper.selectPostListInfoList(postListInfo);
    }

    /**
     * 新增岗检责任制清单明细
     *
     * @param postListInfo 岗检责任制清单明细
     * @return 结果
     */
    @Override
    public int insertPostListInfo(PostListInfo postListInfo)
    {
        //TODO 自增主键修改为-MyBatis-Plus雪花算法(截取5位解决VUE精度丢失BUG)-系统登录日志
        if (postListInfo.getId() == null)
            postListInfo.setId(Long.parseLong(IdWorker.getIdStr().substring(4)));
        postListInfo.setCreateDefault();
        return postListInfoMapper.insertPostListInfo(postListInfo);
    }

    /**
     * 修改岗检责任制清单明细
     *
     * @param postListInfo 岗检责任制清单明细
     * @return 结果
     */
    @Override
    public int updatePostListInfo(PostListInfo postListInfo)
    {
        postListInfo.setUpdateDefault();
        return postListInfoMapper.updatePostListInfo(postListInfo);
    }

    /**
     * 批量删除岗检责任制清单明细
     *
     * @param ids 需要删除的岗检责任制清单明细主键
     * @return 结果
     */
    @Override
    public int deletePostListInfoByIds(Long[] ids)
    {
        return postListInfoMapper.deletePostListInfoByIds(ids);
    }

    /**
     * 删除岗检责任制清单明细信息
     *
     * @param id 岗检责任制清单明细主键
     * @return 结果
     */
    @Override
    public int deletePostListInfoById(Long id)
    {
        return postListInfoMapper.deletePostListInfoById(id);
    }
}
